Bug 1720768 (python-neurosynth) - Review Request: python-neurosynth - Neurosynth is a Python package for large-scale synthesis of functional neuroimaging data.
Summary: Review Request: python-neurosynth - Neurosynth is a Python package for large-...
Keywords:
Status: CLOSED ERRATA
Alias: python-neurosynth
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2019-06-14 21:14 UTC by Luis Bazan
Modified: 2019-07-05 03:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-05 01:32:20 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Luis Bazan 2019-06-14 21:14:25 UTC
SPEC: https://lbazan.fedorapeople.org/python-neurosynth.spec
SRPM: https://lbazan.fedorapeople.org/python-neurosynth-0.3.7-1.fc30.src.rpm

Description:
Neurosynth is a Python package for large-scale synthesis of functional neuroimaging data.

Fedora Account System Username: lbazan

Comment 1 Robert-André Mauchin 2019-06-18 21:01:11 UTC
 - Use https:

URL:            https://github.com/neurosynth/neurosynth

 - Use %pypi_source:

Source0:        %{pypi_source}

 - Split the description to stay under 80 characters per line 

python3-neurosynth.noarch: E: description-line-too-long C Neurosynth is a Python package for large-scale synthesis of functional neuroimaging data.

 - Remove executable bits:

python3-neurosynth.noarch: W: spurious-executable-perm /usr/lib/python3.7/site-packages/neurosynth/tests/data/sgacc_mask.nii.gz

 - Don't mix tabs and spaces:

python-neurosynth.src:13: W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 13)



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* Expat License". 77
     files have unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/python-neurosynth/review-python-
     neurosynth/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-neurosynth-0.3.7-1.fc31.noarch.rpm
          python-neurosynth-0.3.7-1.fc31.src.rpm
python3-neurosynth.noarch: W: spelling-error Summary(en_US) neuroimaging -> micromanaging
python3-neurosynth.noarch: W: spelling-error %description -l en_US neuroimaging -> micromanaging
python3-neurosynth.noarch: E: description-line-too-long C Neurosynth is a Python package for large-scale synthesis of functional neuroimaging data.
python3-neurosynth.noarch: W: spurious-executable-perm /usr/lib/python3.7/site-packages/neurosynth/tests/data/sgacc_mask.nii.gz
python-neurosynth.src: W: spelling-error Summary(en_US) neuroimaging -> micromanaging
python-neurosynth.src: W: spelling-error %description -l en_US neuroimaging -> micromanaging
python-neurosynth.src: E: description-line-too-long C Neurosynth is a Python package for large-scale synthesis of functional neuroimaging data.
python-neurosynth.src:13: W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 13)
2 packages and 0 specfiles checked; 2 errors, 6 warnings.

Comment 3 Robert-André Mauchin 2019-06-19 14:21:31 UTC
 - Use https:

URL:            https://github.com/neurosynth/neurosynth

 - Still tabs and spaces mix:

python-neurosynth.src:13: W: mixed-use-of-spaces-and-tabs (spaces: line 30, tab: line 3)

 - Why are you removing completly tests/data/sgacc_mask.nii.gz? Just remove the executable bits.

chmod 0644 tests/data/sgacc_mask.nii.gz

Comment 5 Robert-André Mauchin 2019-06-20 11:06:18 UTC
Oops falled asleep.


Package approved.

Comment 6 Gwyn Ciesla 2019-06-20 18:46:57 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-neurosynth

Comment 7 Fedora Update System 2019-06-26 16:38:14 UTC
FEDORA-2019-58536e73b0 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-58536e73b0

Comment 8 Fedora Update System 2019-06-27 01:41:43 UTC
python-neurosynth-0.3.7-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-58536e73b0

Comment 9 Fedora Update System 2019-06-27 02:43:45 UTC
python-neurosynth-0.3.7-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-392e82a303

Comment 10 Fedora Update System 2019-07-05 01:32:20 UTC
python-neurosynth-0.3.7-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-07-05 03:17:38 UTC
python-neurosynth-0.3.7-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.